Get Company
Get a company’s details and artwork.
GET https://api.mediux.io/companies/{companyId}
Response format, pagination and caching.
Response examples
Section titled “Response examples”Company with parent reference
Section titled “Company with parent reference”Status: 200 OK
Response headers:
content-type: application/json; charset=utf-8{ "data": { "id": 420, "kind": "company", "name": "Example Company", "description": "An example production company.", "homepage": "https://example.com/company", "headquartersCountry": "US", "originCountry": "US", "metadataImages": { "logo": "https://images.mediux.io/metadata/companies/420/logo.webp" }, "assets": { "posters": [], "thumbs": [], "logos": [] }, "parentCompany": null }}Company not found
Section titled “Company not found”Status: 404 Not Found
Response headers:
content-type: application/json; charset=utf-8{ "data": null, "error": { "code": "not_found", "message": "The requested resource was not found." }}